html,
body {
  padding: 0;
  margin: 0;
  height: 100%;
  width: 100%;
  font-family: "Source Sans Pro", sans-serif;
}

#basemapContainer {
  background-color: white;
}

#instructionDiv {
  padding: 5px;
  background-color: white;
}

.wrapper {
  display: grid;
  grid-template-rows: 105px 280px 335px;
  grid-template-areas:
    "header"
    "map"
    "footer";
  width: 100vw;
  height: 100vh;
  overflow: auto;
}

@media only screen and (min-height: 800px) {
  .wrapper {
    display: grid;
    grid-template-rows: 100px 300px 150px;
    grid-template-areas:
      "header"
      "map"
      "footer";
    width: 100vw;
    height: 100vh;
    overflow: auto;
  }
}

@media only screen and (min-height: 1000px) {
  .wrapper {
    display: grid;
    grid-template-rows: 100px 365px 70px;
    grid-template-areas:
      "header"
      "map"
      "footer";
    width: 100vw;
    height: 100vh;
    overflow: auto;
  }
}

@media only screen and (min-width: 1072px) {
  .wrapper {
    grid-template-rows: 50px minmax(0, 1fr) 30px;
    grid-template-areas:
      "header"
      "map"
      "footer";
  }
}

.header {
  grid-area: header;
  background-color: #112e51;
  color: #fff;
  padding: 0px 5px 0px 5px;
  font-family: "Merriweather", serif;
  font-size: 22px;
  margin: 0;
  line-height: 50px;
  font-weight: 400;
  height: 50px;
}

#logoDiv {
  float: left;
  height: 50px;
}

#logoDiv img {
  height: 45px;
  padding: 2px 100px 2px 5px;
}

#titleDiv {
  float: left;
}

#helpDiv {
  float: right;
  height: 50px;
  margin-right: 10px;
}

.help-button {
  display: inline-block;
  border: 1px solid white;
  background-color: rgba(0, 0, 0, 0) !important;
  font-family: "Source Sans Pro", sans-serif;
  font-size: 14px;
  line-height: 10px;
  font-weight: 400;
  font-style: normal;
  color: white;
  padding: 10px;
  border-radius: 4px;
  margin-top: 10px;
  cursor: pointer;
}

.help-content {
  font-family: "Source Sans Pro", sans-serif;
  font-size: 14px;
  font-style: normal;
  color: black;
  margin: 10px 25px;
  overflow: auto;
}

.map {
  grid-area: map;
  position: relative;
}

.esri-zoom {
  position: absolute;
  top: 56px;
  left: 15px;
  box-shadow: 0 1px 2px rgb(0 0 0 / 30%);
}

.esri-home {
  position: absolute;
  top: 128px;
  left: 15px;
  box-shadow: 0 1px 2px rgb(0 0 0 / 30%);
}

.footer {
  grid-area: footer;
  padding: 0px;
  width: 100%;
  background-color: #323a45;
  color: #ffffff;
  display: block;
  flex: shrink;
  z-index: 10;
}

#footer-structure {
  max-width: 1200px;
  margin: 0 auto;
}

#footer-content {
  width: 100%;
  background-color: #323a45;
}

#footer-content ul {
  margin: auto !important;
  list-style-type: none;
  padding: 5px 0 5px 0 !important;
  display: table;
}

#footer-content li {
  display: inline-block;
  list-style-type: none;
}

#footer-content li:first-child {
  padding-left: 0;
}

#footer-content li a {
  display: block;
  color: #afb1b6 !important;
  text-align: center;
  text-decoration: none;
  font-size: 12px;
  border-right: 1px solid #5b616b;
  padding: 0 10px !important;
  font-family: "Source Sans Pro", Helvetica, Arial, sans-serif;
}

#footer-content li:last-child a {
  border-right: none;
}

#footer-content li a:hover {
  text-decoration: underline;
}

.dashboard {
  z-index: 10;
  width: 350px;
  height: 455px;
  background-color: #fff;
  border: 1px #000;
  border-style: solid;
}

#dashboardTitleDiv {
  padding: 5px 0px 0px 0px;
  font-size: 13px;
  width: 100%;
  text-align: center;
}

#instructionsDiv {
  padding: 0px 10px;
  font-size: 13px;
  width: 100%;
  height: 125px;
}

#instructionsDiv ul {
  list-style-type: square;
  margin: 0;
  margin-left: -20px;
}

#datesTitleDiv {
  padding: 0px 10px;
  font-size: 13px;
  width: 100%;
  height: 25px;
  font-weight: bold;
}

#datesDiv {
  width: 100%;
  font-size: 13px;
  text-align: right;
  display: flex;
}

#datesDiv .dijitTextBox {
  width: 110px;
}

#startDateContainer {
  width: 165px;
}

#endDateContainer {
  width: 155px;
}

#dateFormatDiv {
  width: 100%;
  height: 20px;
  font-size: 10px;
  text-align: center;
}

#porDiv {
  width: 100%;
  height: 15px;
  font-size: 11px;
  text-align: center;
}

#bboxTitleDiv {
  padding: 0px 10px;
  font-size: 13px;
  width: 100%;
  height: 20px;
  font-weight: bold;
}

#bboxWrapper {
  width: 100%;
  height: 100px;
  padding: 0px 10px;
  font-size: 12px;
  font-weight: bold;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

#bboxNorthDiv {
  width: 75px;
  text-align: center;
}

#bboxDiv {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

#bboxWestDiv {
  width: 75px;
  text-align: right;
  padding-right: 3px;
}

#bboxCenterDiv {
  width: 153px;
  height: 62px;
  border: 2px rgb(0, 0, 175);
  border-style: solid;
}

#bboxCenterInnerDiv {
  width: 100%;
  height: 20px;
  color: #ff0000;
  text-align: center;
}

.bboxSpacerDiv {
  width: 100%;
  height: 20px;
}

#bboxEastDiv {
  width: 75px;
  text-align: left;
  padding-left: 3px;
}

#bboxSouthDiv {
  width: 75px;
  text-align: center;
}

#coordinateDiv {
  z-index: 99;
  position: fixed;
  bottom: 50px;
  right: 10px;
  width: 175px;
  text-align: center;
  border: 1px solid #fff;
  border-radius: 4px;
  padding: 3px 5px 3px 5px;
  background-color: rgb(12, 12, 12);
  font-size: 11px;
  opacity: 0.6;
  color: #fff;
  display: none;
}

/* modal background */
.infoModal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0, 0, 0); /* Fallback color */
  background-color: rgba(0, 0, 0, 0.8); /* Black w/ opacity */
}
